View Issue Details

IDProjectCategoryView StatusLast Update
0027381LazarusWidgetsetpublic2018-06-06 10:02
ReporterGabor Boros Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0027381: ThemeServices return wrong state images for combobox
DescriptionThemeServices return wrong images for tcDropDownButtonHot, tcDropDownButtonPressed, tcDropDownButtonDisabled with KDE. ThemeServices.GetDetailSize return -1 instead of real image sizes (on Windows too).
Steps To ReproduceSee the attached example project.
Additional InformationI can get image of disabled state if modify qtthemes.pas with the attached diff. But images of two states CBXS_HOT and CBXS_PRESSED is still missing.
TagsNo tags attached.
Fixed in Revision47578
LazTarget-
WidgetsetQT
Attached Files

Activities

Gabor Boros

2015-01-30 20:04

reporter  

qtthemes.diff (498 bytes)   
288a289,300
> 
>               if Details.State in [CBXS_DISABLED] then
>               begin
>                 APalette := QPalette_create();
>                 try
>                   QStyleOption_palette(opt, APalette);
>                   QPalette_setCurrentColorGroup(APalette, QPaletteDisabled);
>                   QStyleOption_setPalette(opt, APalette);
>                 finally
>                   QPalette_destroy(APalette);
>                 end;
>               end;
1180c1192
< 
---
> 
qtthemes.diff (498 bytes)   

Gabor Boros

2015-01-30 20:05

reporter  

bug_27381.tar.gz (64,743 bytes)

Gabor Boros

2015-01-30 20:05

reporter  

KDE.jpeg (12,307 bytes)   
KDE.jpeg (12,307 bytes)   

Gabor Boros

2015-01-30 20:06

reporter  

Win7.png (5,356 bytes)   
Win7.png (5,356 bytes)   

Gabor Boros

2015-01-30 20:06

reporter  

Win81.png (3,157 bytes)   
Win81.png (3,157 bytes)   

Zeljan Rikalo

2015-02-01 10:25

developer   ~0080714

Your patch is invalid (I even don't know at what line it should be applied). Please use svn diff to create patch.

Zeljan Rikalo

2015-02-01 10:31

developer   ~0080715

Please test and close if ok.

Gabor Boros

2015-02-01 13:08

reporter   ~0080719

Any idea about Hot and Pressed state images or GetDetailSize?

Issue History

Date Modified Username Field Change
2015-01-30 20:04 Gabor Boros New Issue
2015-01-30 20:04 Gabor Boros File Added: qtthemes.diff
2015-01-30 20:05 Gabor Boros File Added: bug_27381.tar.gz
2015-01-30 20:05 Gabor Boros File Added: KDE.jpeg
2015-01-30 20:06 Gabor Boros File Added: Win7.png
2015-01-30 20:06 Gabor Boros File Added: Win81.png
2015-01-31 08:45 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-01-31 08:45 Zeljan Rikalo Status new => assigned
2015-02-01 10:25 Zeljan Rikalo LazTarget => -
2015-02-01 10:25 Zeljan Rikalo Note Added: 0080714
2015-02-01 10:25 Zeljan Rikalo Status assigned => feedback
2015-02-01 10:31 Zeljan Rikalo Fixed in Revision => 47578
2015-02-01 10:31 Zeljan Rikalo Note Added: 0080715
2015-02-01 10:31 Zeljan Rikalo Status feedback => resolved
2015-02-01 10:31 Zeljan Rikalo Resolution open => fixed
2015-02-01 13:08 Gabor Boros Note Added: 0080719
2018-06-06 10:02 Gabor Boros Status resolved => closed